Extending Qt Creator Manual | PromptOverwriteDialog

Extending Qt Creator Manual 4.5.2

# PromptOverwriteDialog Class

(Core::PromptOverwriteDialog)

- List of all members, including inherited members

## Public Functions

| PromptOverwriteDialog(QWidget *parent = 0)
QStringList | checkedFiles() const
bool | isFileChecked(const QString &f) const
bool | isFileEnabled(const QString &f) const
void | setFileChecked(const QString &f, bool e)
void | setFileEnabled(const QString &f, bool e)
void | setFiles(const QStringList &)
QStringList | uncheckedFiles() const

## Member Function Documentation

### PromptOverwriteDialog::PromptOverwriteDialog(QWidget *parent = 0)

Default constructs an instance of PromptOverwriteDialog.

### QStringList PromptOverwriteDialog::checkedFiles() const

### bool PromptOverwriteDialog::isFileChecked(const QString &f) const

### bool PromptOverwriteDialog::isFileEnabled(const QString &f) const

### void PromptOverwriteDialog::setFileChecked(const QString &f, bool e)

See also isFileChecked().

### void PromptOverwriteDialog::setFileEnabled(const QString &f, bool e)

See also isFileEnabled().

### void PromptOverwriteDialog::setFiles(const QStringList &)

### QStringList PromptOverwriteDialog::uncheckedFiles() const